<template>
  <header class="mh-header">
    <mh-radio-group
      v-model="locale"
      name="locale"
      :options="localesOptions"
      @input="changeLocale"
    />
  </header>
</template>

<script>
import MhRadioGroup from '@/components/controls/radio-group'

const LOCALES_OPTIONS= [
  { label: 'Ru', value: 'ru' },
  { label: 'En', value: 'en' }
]

const COLOR_OPTIONS= [
  { label: 'Darken', value: 'darken' },
  { label: 'Red', value: 'red' },
  { label: 'Orange', value: 'orange' },
  { label: 'Blue', value: 'blue' }
]

export default {
  name: 'MhHeader',

  components: { MhRadioGroup },

  data() {
    return {
      color: '',
      locale: ''
    }
  },

  computed: {
    localesOptions() {
      return LOCALES_OPTIONS
    },

    colorOptions() {
      return COLOR_OPTIONS
    }
  },

  mounted() {
    this.color = this.$store.state.colors.color
    this.locale = this.$i18n.locale
  },

  methods: {
    changeLocale(locale) {
      this.$i18n.locale = locale
    },

    changeColor(color) {
      this.$store.dispatch('setColor', color)
    }
  }
}
</script>

<style lang="scss" scoped>
.mh-header {
  display: flex;
  justify-content: flex-end;
  padding: $base-layout-padding;

  &__colors-wrapper {
    display: flex;
    gap: 10px;
  }
}
</style>
